Page MenuHomePhabricator

Please raise quota for deployment-prep
Closed, ResolvedPublic

Description

Project Name: deployment-prep

Type of quota increase requested: Allowing for four more m1.large instances

Reason

deployment-prep is currently upgraded to jessie, but with the current quota usage we can't spawn any new machines (and we can't remove the old ones until the new ones are in place)

We are migrating Trusty instances to Jessie (mediawiki servers: T144006 , databases: T138778). There is also a purge / consolidation of instances going on T142288. We thus need some temporary quota increase to have them in parallel. Would be lowered again once the tasks have been completed.

Quota overview

Quota for deployment-prep on wikitech

Summary:

Quotam1.largeCurrent Quota4 x m1.largeNew quota
Instances160/1004--
vCPU 4172/17216+4 : 188
RAM 8GB344 / 350 GB32 GB+26 : 376

TLDR

New quota should be CPU: 188 and RAM: 376

Event Timeline

hashar updated the task description. (Show Details)Sep 14 2016, 8:31 AM
AlexMonk-WMF added a subscriber: AlexMonk-WMF.

From a deployment-prep admin PoV, I'd prefer the quota bump include the full VCPU count and RAM of the instances you'd like to create, rather than leaving us with 0 spare VCPUs and RAM

greg added a subscriber: greg.Sep 15 2016, 3:21 PM

From a deployment-prep admin PoV, I'd prefer the quota bump include the full VCPU count and RAM of the instances you'd like to create, rather than leaving us with 0 spare VCPUs and RAM

Yes, it'd be good to have some head-room at all times.

Andrew added a subscriber: Andrew.Sep 19 2016, 5:04 PM

This increase sounds fine to me.

chasemp closed this task as Resolved.Sep 19 2016, 7:39 PM
chasemp claimed this task.

New quotas:

Cores171/192
RAM350208/392400